uk.gov.hmrc.releaser.github

# GithubConnector

###
Related Docs: class GithubConnector | package github

#### object GithubConnector extends Logger

Linear Supertypes
Logger, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. GithubConnector
2. Logger
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type GitPost = (String, JsValue) ⇒ Try[Unit]

2. #### type GitPostAndGet = (String, JsValue) ⇒ Try[CommitSha]

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(githubCreds: ServiceCredentials, releaserVersion: String): GithubConnector

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def dryRun(githubCreds: ServiceCredentials, releaserVersion: String): DryRunGithubConnector

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### val githubDateTimeFormatter: DateTimeFormatter

13. #### val githubTagDateTimeFormatter: DateTimeFormatter

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### val log: ConsoleLog

    Definition Classes
      Logger

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### val releaseMessageDateTimeFormat: DateTimeFormatter

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Logger

### Inherited from AnyRef

### Inherited from Any

### Ungrouped